Read owned batch and jobs

Read owned batch and jobs

GET
/api/v1/data/batches/{id}

Read owned batch and jobs

Authorization

headerX-API-Key<token>

Path Parameters

id*string
Formatuuid

Response Body

Batch status and normalized nested jobs. Failed jobs include redacted error fields. Error body uses the documented PublicError DTO.

application/json
  1. response
id*string
Formatuuid
status*string
Value in"pending""running""completed""partial""failed""cancelled"
total_jobs*integer
Range0 <= value
completed_jobs*integer
Range0 <= value
failed_jobs*integer
Range0 <= value
base_tokens*integer
Range0 <= value
protected_tokens*integer
Range0 <= value
captcha_tokens*integer
Range0 <= value
created_at*string
Formatdate-time
finished_at*|
Formatdate-time
jobs*array<>
curl -X GET 'https://api.runharvester.com/api/v1/data/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "items": [],  "next_cursor": null}